Package org.apache.catalina.authenticator.jaspic

## Class SimpleAuthConfigProvider

- java.lang.Object
- - org.apache.catalina.authenticator.jaspic.SimpleAuthConfigProvider

- All Implemented Interfaces:
    `AuthConfigProvider`

      public class SimpleAuthConfigProvider
      extends java.lang.Object
      implements AuthConfigProvider

  Basic implementation primarily intended for use when using third-party `ServerAuthModule` implementations that only provide the module.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleAuthConfigProvider​(java.util.Map<java.lang.String,​java.lang.String> properties, AuthConfigFactory factory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ServerAuthConfig` | `createServerAuthConfig​(java.lang.String layer, java.lang.String appContext, javax.security.auth.callback.CallbackHandler handler, java.util.Map<java.lang.String,​java.lang.String> properties)` |
    `ClientAuthConfig` | `getClientAuthConfig​(java.lang.String layer, java.lang.String appContext, javax.security.auth.callback.CallbackHandler handler)`
    `ServerAuthConfig` | `getServerAuthConfig​(java.lang.String layer, java.lang.String appContext, javax.security.auth.callback.CallbackHandler handler)` |
    `void` | `refresh()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleAuthConfigProvider

          public SimpleAuthConfigProvider​(java.util.Map<java.lang.String,​java.lang.String> properties,
                                          AuthConfigFactory factory)

  - ### Method Detail

    - #### getClientAuthConfig

          public ClientAuthConfig getClientAuthConfig​(java.lang.String layer,
                                                      java.lang.String appContext,
                                                      javax.security.auth.callback.CallbackHandler handler)
                                               throws AuthException

      This implementation does not support client-side authentication and therefore always returns `null`.

      Specified by:
        `getClientAuthConfig` in interface `AuthConfigProvider`
      Throws:
        `AuthException`

    - #### getServerAuthConfig

          public ServerAuthConfig getServerAuthConfig​(java.lang.String layer,
                                                      java.lang.String appContext,
                                                      javax.security.auth.callback.CallbackHandler handler)
                                               throws AuthException

      Specified by:
        `getServerAuthConfig` in interface `AuthConfigProvider`
      Throws:
        `AuthException`

    - #### createServerAuthConfig

          protected ServerAuthConfig createServerAuthConfig​(java.lang.String layer,
                                                            java.lang.String appContext,
                                                            javax.security.auth.callback.CallbackHandler handler,
                                                            java.util.Map<java.lang.String,​java.lang.String> properties)

    - #### refresh

          public void refresh()

      Specified by:
        `refresh` in interface `AuthConfigProvider`